/******************************************************************
 * PalmOS includes.
 ******************************************************************/
#include <Common.h>
#include <System/SysAll.h>
#include <System/SysEvtMgr.h>
#include <UI/UIAll.h>

/******************************************************************
 * Application includes.
 ******************************************************************/
#include "resource.h"

#include "AboutForm.h"

/******************************************************************
 *
 ******************************************************************/
Boolean AboutFormEventHandler( EventPtr event )
{
  Boolean handled = false;

  if ( event->eType == ctlSelectEvent )
    {
      /*** Pen has been tapped on OK buttom, so leave the vanity form ***/
      FrmReturnToForm( 0 );
      handled = true;
    }
  else if ( event->eType == frmOpenEvent )
    {
      /*** The About form has been opened ***/
      FrmDrawForm( FrmGetActiveForm() );
      handled = true;
    }
  return handled;
}

/*** End of file ***/